using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryDataModels.Models;

namespace VeterinaryContracts.ViewModels
{
    public class DrugViewModel : IDrugModel
	{
		public int Id { get; set; }
		[DisplayName("Название лекарства")]
		public string DrugName { get; set; } = string.Empty;
		[DisplayName("Количество")]
		public int Count { get; set; }
		[DisplayName("Цена лекарства")]
		public double Price { get; set; }
		[DisplayName("Дата создания")]
		public DateTime DateCreate { get; set; }

		public Dictionary<int, IMedicationModel> DrugMedications
		{
			get;
			set;
		} = new();
		public int DoctorId { get; set; }

	}
}
